Get Account History
curl --request GET \
--url https://api.adamik.io/api/{chainId}/account/{accountId}/history \
--header 'Authorization: <api-key>'import requests
url = "https://api.adamik.io/api/{chainId}/account/{accountId}/history"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.adamik.io/api/{chainId}/account/{accountId}/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"chainId": "cosmoshub",
"accountId": "<string>",
"transactions": [
{
"raw": "<unknown>",
"parsed": {
"id": "<string>",
"mode": "deployAccount",
"state": "pending",
"fees": {
"amount": "<string>",
"ticker": "<string>"
},
"tokenId": "<string>",
"blockHeight": "<string>",
"timestamp": "<string>",
"gas": "<string>",
"nonce": "<string>",
"memo": "<string>",
"senders": [
{
"address": "<string>",
"amount": "<string>",
"ticker": "<string>"
}
],
"recipients": [
{
"address": "<string>",
"amount": "<string>",
"ticker": "<string>"
}
],
"validators": {
"source": {
"address": "<string>",
"amount": "<string>",
"ticker": "<string>"
},
"target": {
"address": "<string>",
"amount": "<string>",
"ticker": "<string>"
}
}
}
}
],
"pagination": {
"nextPage": "<string>"
}
}Account
Get Account History
Returns the history of a specified account identifier (address or xpub) and chain ID, primarily focusing on past transactions.
GET
/
api
/
{chainId}
/
account
/
{accountId}
/
history
Get Account History
Authorizations
Path Parameters
Available options:
cosmoshub, osmosis, celestia, dydx, axelar, ethereum, sepolia, holesky, base, base-sepolia, optimism, optimism-sepolia, arbitrum, arbitrum-sepolia, polygon, polygon-amoy, bsc, bsc-testnet, linea, linea-sepolia, avalanche, avalanche-fuji, gnosis, gnosis-chiado, moonbeam, moonriver, moonbase, fantom, injective, akash, evmos, juno, sei, stride, kava, starknet, starknet-sepolia, babylon, babylon-testnet, monad-testnet, cronos, world-chain, solana, aptos, aptos-testnet, stellar, stellar-testnet Account identifier (address, xpub, etc) for the specified chain ID
Query Parameters
Token from the previous response of this endpoint. Provide it here to fetch the next page of results.
Optional filter to request specific data. Use a single 'include' parameter with comma-separated values. Possible values are 'parsed' and 'raw'.
Examples:
"parsed,raw"
"parsed"
"raw"
Response
200 - application/json
Returns the current list of transactions for the specified address and chain ID.
Available options:
cosmoshub, osmosis, celestia, dydx, axelar, ethereum, sepolia, holesky, base, base-sepolia, optimism, optimism-sepolia, arbitrum, arbitrum-sepolia, polygon, polygon-amoy, bsc, bsc-testnet, linea, linea-sepolia, avalanche, avalanche-fuji, gnosis, gnosis-chiado, moonbeam, moonriver, moonbase, fantom, injective, akash, evmos, juno, sei, stride, kava, starknet, starknet-sepolia, babylon, babylon-testnet, monad-testnet, cronos, world-chain, solana, aptos, aptos-testnet, stellar, stellar-testnet Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?